<script setup>
import AdminAppLayout from "@/Layouts/AdminAppLayout.vue";
import GraphicTemplate from '@/Components/Admin/Items/GraphicTemplate.vue';
import TextTemplate from '@/Components/Admin/Items/TextTemplate.vue';
import NumberTemplate from '@/Components/Admin/Items/NumberTemplate.vue';
import RareTemplate from '@/Components/Admin/Items/RareTemplate.vue';
import GameTemplate from '@/Components/Admin/Items/GameTemplate.vue';
import CategoryTemplate from '@/Components/Admin/Items/CategoryTemplate.vue';
import {provide} from "vue";
import {useForm} from "@inertiajs/vue3";

const props = defineProps({
    errors:Object,
    games:Object,
    categories:Object
})

const form = useForm({
    image: null,
    name: null,
    game: null,
    categories: [],
    texts:[],
    graphic: [],
    numbers: [],
    rares: [],
});

provide('props',props)
provide('form',form)

const submit = () => {
    form.post(route('admin.items.store'), {
        preserveScroll: true
    });
}

</script>

<template>
    <AdminAppLayout>
        <section class="template">
            <h1 class="template__title">Добавить предмет</h1>
            <form action="#">
                <div class="template__select select-template">
                    <div class="select-template__item">
                        <label>Иконка</label>
                        <input
                            type="file"
                            class="form-control"
                            @input="form.image = $event.target.files[0]"
                        />
                    </div>
                </div>

                <!-- выбор игры -->
                <div class="template__select select-template">
                  <game-template/>
                </div>
                <!-- выбор категории -->
                <div class="template__select select-template">
                  <category-template/>
                </div>
                <!-- Наименование -->
                <div class="template__description">
                    <input
                        type="text"
                        v-model="form.name"
                        class="form-control"
                        placeholder="Наименование предмета"
                        aria-label="Username"
                    />
                </div>
                <!-- Особенности -->
                <div class="template__description">
                    <h4>Особенности предмета</h4>
                    <hr>
                </div>
                <!-- Графические параметры -->
                <div class="template__parametres parametres-template">
                  <graphic-template/>
                </div>
                <!-- Текстовые параметры -->
                <div class="template__parametres parametres-template">
                    <text-template/>
                </div>
                <!-- Числительные параметры -->
                <div class="template__parametres parametres-template">
                    <number-template/>
                </div>
                <!-- Редкость предмета -->
                <div class="template__parametres parametres-template">
                    <rare-template/>
                </div>
                <div v-for="error in errors" class="alert alert-danger" role="alert">
                    {{ error }}
                </div>
                <button @click="submit()" type="button" class="btn btn-secondary template__create">Опубликовать</button>
            </form>
        </section>
    </AdminAppLayout>
</template>



<style  lang='scss'>
.template {
		&__title {
      margin: 0px 0px 70px 0px;
      font-size: 32px;
    }
		&__select {
      margin: 0px 0px 60px 0px;
    }
		&__description {
      margin: 0px 0px 60px 0px;
    }
		&__parametres {
      margin: 0px 0px 88px 0px;
    }
    &__create{
      display: block;
      margin: 0px auto 50px auto;
    }
}
.select-template {
  display: flex;
  flex-wrap: wrap;
		&__item {
      flex: 1 1 auto;
      margin: 0px 30px 0px 0px;
    }
		&__button {}
}




.parametres-template {
    &__subtitle {
        font-size: 16px;
        margin: 0px 0px 40px 0px;
    }
    &__item {
        margin: 0px 0px 0px 0px;
    }

    &__add {
        width: 300px;
    }
}
.item-parametres-template {
    display: flex;
    align-items: center;
    &__text {
        flex: 1 1 auto;
    }
    &__img {
        & > img {
            width: 100px;
        }
    }
    &__config {
        flex: 1 1 auto;
        margin: 0px 30px 0px 0px;
    }
    &__del {
        margin: 0px 30px 0px 0px;
    }
    &__range{
      display: flex;
    }
}
.create-parametres-template {
  display: flex;
		&__text {
      flex: 1 1 auto;
      margin: 0px 30px 0px 0px;
    }
		&__load {
      flex: 1 1 auto;
      margin: 0px 30px 0px 0px;
    }
		&__btn {}
		&__range {
      flex: 1 1 auto;
      display: flex;
    }
		&__range-min {}
		&__range-max {}
}




</style>
